DiskStore (Apache Geode 1.13.3)
Date: 2021-06-22

org.apache.geode.management.configuration

## Class DiskStore

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<R>
  - - org.apache.geode.management.configuration.GroupableConfiguration<DiskStoreInfo>
    - - org.apache.geode.management.configuration.DiskStore

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      @Experimental
      public class DiskStore
      extends GroupableConfiguration<DiskStoreInfo>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DISK_STORE_CONFIG_ENDPOINT`

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Integer` | `getCompactionThreshold()`
    `List<DiskDir>` | `getDirectories()`
    `Float` | `getDiskUsageCriticalPercentage()`
    `Float` | `getDiskUsageWarningPercentage()`
    `String` | `getId()` Returns the attribute of the configuration that uniquely identifies it
    `Links` | `getLinks()` for internal usage only
    `Long` | `getMaxOplogSizeInBytes()`
    `String` | `getName()`
    `Integer` | `getQueueSize()`
    `Long` | `getTimeInterval()`
    `Integer` | `getWriteBufferSize()`
    `int` | `hashCode()`
    `Boolean` | `isAllowForceCompaction()`
    `Boolean` | `isAutoCompact()`
    `void` | `setAllowForceCompaction(Boolean allowForceCompaction)`
    `void` | `setAutoCompact(Boolean autoCompact)`
    `void` | `setCompactionThreshold(Integer compactionThreshold)`
    `void` | `setDirectories(List<DiskDir> directories)`
    `void` | `setDiskUsageCriticalPercentage(Float diskUsageCriticalPercentage)`
    `void` | `setDiskUsageWarningPercentage(Float diskUsageWarningPercentage)`
    `void` | `setMaxOplogSizeInBytes(Long maxOplogSize)`
    `void` | `setName(String name)`
    `void` | `setQueueSize(Integer queueSize)`
    `void` | `setTimeInterval(Long timeInterval)`
    `void` | `setWriteBufferSize(Integer writeBufferSize)`

    - ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

      `getGroup, setGroup`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getCreationCommandType, getGroupName, isCluster, isGlobalRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### DISK_STORE_CONFIG_ENDPOINT

          public static final String DISK_STORE_CONFIG_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DiskStore

          public DiskStore()

  - ### Method Detail

    - #### isAutoCompact

          public Boolean isAutoCompact()

    - #### setAutoCompact

          public void setAutoCompact(Boolean autoCompact)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDirectories

          public List<DiskDir> getDirectories()

    - #### setDirectories

          public void setDirectories(List<DiskDir> directories)

    - #### getId

          public String getId()

      Description copied from class: `AbstractConfiguration`
      Returns the attribute of the configuration that uniquely identifies it
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<DiskStoreInfo>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getCompactionThreshold

          public Integer getCompactionThreshold()

    - #### setCompactionThreshold

          public void setCompactionThreshold(Integer compactionThreshold)

    - #### getDiskUsageCriticalPercentage

          public Float getDiskUsageCriticalPercentage()

    - #### setDiskUsageCriticalPercentage

          public void setDiskUsageCriticalPercentage(Float diskUsageCriticalPercentage)

    - #### getDiskUsageWarningPercentage

          public Float getDiskUsageWarningPercentage()

    - #### setDiskUsageWarningPercentage

          public void setDiskUsageWarningPercentage(Float diskUsageWarningPercentage)

    - #### getMaxOplogSizeInBytes

          public Long getMaxOplogSizeInBytes()

    - #### setMaxOplogSizeInBytes

          public void setMaxOplogSizeInBytes(Long maxOplogSize)

    - #### getQueueSize

          public Integer getQueueSize()

    - #### setQueueSize

          public void setQueueSize(Integer queueSize)

    - #### getTimeInterval

          public Long getTimeInterval()

    - #### setTimeInterval

          public void setTimeInterval(Long timeInterval)

    - #### getWriteBufferSize

          public Integer getWriteBufferSize()

    - #### setWriteBufferSize

          public void setWriteBufferSize(Integer writeBufferSize)

    - #### isAllowForceCompaction

          public Boolean isAllowForceCompaction()

    - #### setAllowForceCompaction

          public void setAllowForceCompaction(Boolean allowForceCompaction)

    - #### getLinks

          public Links getLinks()

      Description copied from class: `AbstractConfiguration`
      for internal usage only
      Specified by:
        `getLinks` in class `AbstractConfiguration<DiskStoreInfo>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GroupableConfiguration<DiskStoreInfo>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GroupableConfiguration<DiskStoreInfo>`